```{eval-rst}
.. role:: hidden
    :class: hidden-section
```

# Benchmark Utils - torch.utils.benchmark

```{eval-rst}
.. automodule:: torch.utils.benchmark
```

```{eval-rst}
.. currentmodule:: torch.utils.benchmark
```

```{eval-rst}
.. autoclass:: Timer
    :members:
```

```{eval-rst}
.. autoclass:: Measurement
    :members:
```

```{eval-rst}
.. autoclass:: CallgrindStats
    :members:
```

```{eval-rst}
.. autoclass:: FunctionCounts
    :members:
```

```{eval-rst}
.. autoclass:: Compare
    :members:
```

% These are missing documentation. Adding them here until a better place
% is made in this file.

```{eval-rst}
.. py:module:: torch.utils.benchmark.examples
```

```{eval-rst}
.. py:module:: torch.utils.benchmark.op_fuzzers
```

```{eval-rst}
.. py:module:: torch.utils.benchmark.utils
```

```{eval-rst}
.. py:module:: torch.utils.benchmark.utils.valgrind_wrapper
```
